Run Activity Report - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Run Activity Report
Endpoint: POST /v1/admin-reports/activity-report/run
cURL
docscode curl
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/admin-reports/activity-report/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"userIds": [
"<string>"
],
"categories": [],
"onlyCompletedAnalyses": true
}
'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/admin-reports/activity-report/run"
payload = {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"userIds": ["<string>"],
"categories": [],
"onlyCompletedAnalyses": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
Response
Status: 202 - Accepted
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"entityId": "<string>",
"error": "<string>",
"errorMessage": "<string>"
}
Authorizations
Authorization: Bearer token
- start: The first date in the reporting timeframe.
- end: The last date in the reporting timeframe.
- userIds: The users to include in the report.
- categories: The categories to include in the report.
- onlyCompletedAnalyses: Restrict entries to analysis complete events.